Bug 110911 - Does not allow to take alphanumeric digits in T-Online "personal password" setting
Does not allow to take alphanumeric digits in T-Online "personal password" se...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
Blocks: 111252
  Show dependency treegraph
Reported: 2003-11-25 10:19 EST by Steffen Mann
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-16 11:56:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steffen Mann 2003-11-25 10:19:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.11 (X11; Linux i686; U;) Gecko/20030708

Description of problem:
In redhat-config-network if you want to set "Pwers�nliches Kennwort"
for your T-Online account in the "T-Online Zugansdatenformular" you
actually can not set alphanumeric digits, only numeric ones are allowed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.try to put adksd
2.try to put adksd
3.try to put adksd

Actual Results:  accepts only numeric digits

Expected Results:  Should accept alphanumeric digits

Additional info:
Comment 1 Suzanne Hillman 2003-11-25 17:25:33 EST
I'm presuming that the stuff you put in quotes are not English? In
which case, could you please translate, so that it's a bit easier to
track down and reproduce the problem?

Also - what is a T-Online account?
Comment 2 Steffen Mann 2003-11-26 03:31:55 EST
you start "neat" then select new, then xDSL connection. Then forward.
In the middle of the next field you klick on the button T-Online
Account Setup. In the Personal Password field it doen't allow you to
specify alphanumeric digits, only numeric. Whereby "Deutsche Telekom
AG" allows you to change the numeric to alphanumeric Personal Password. 

Hint T-Online is the largest ISP in Germany, T-Systems or T-Mobile as
you may know it are sister subdevisions. 

Any doubt you can as than or harald, i already had them agree that
this is a bug.
Comment 3 Steffen Mann 2003-11-26 03:32:59 EST
Workaround so far would be change the password to only numeric on the
T-Online website.
Comment 4 Harald Hoyer 2003-11-27 04:39:45 EST
faster workaround is:
enter alpha digits in the t-online dialog... click "OK" and enter the
correct password in the remaining dialog.
Comment 5 Hans-Georg Joepgen 2003-11-27 06:02:14 EST
Does not work for me. The "OK" button remains disabled
Comment 6 Harald Hoyer 2003-11-27 06:12:02 EST
try to enter more dummy ciphers in the entries..
Comment 7 Hans-Georg Joepgen 2003-11-27 09:36:47 EST
The "OK" button got enabled only after entering exactly 12 digits to 
the "Anschlusskennung" field, 12 digits to the "Zugehoerige T-Online-
Nummer" field, exatly 4 digits to the "Mitbenutzungsnummer" field and 
8 digits to the "Persoenlioches Kennwort" field.

In Germany, not all "T-Online-Nummer" consist of 12 digits. One of 
our accounts has a 11 digit T-Online-Nummer. This account with this 
11 digit number works under SL 9 and XP. 
Comment 8 Harald Hoyer 2003-11-28 03:29:39 EST
Then, I'll remove the length check...
Comment 9 Hans-Georg Joepgen 2003-11-28 04:43:39 EST
Thanx. Silly question /I am a Bugzilla and RH newbee): How do I get 
this new module? How do I install it in our Red Hat Professional Work 
Station Test Suite? Or should i have asked this supporters and not 
Comment 10 Harald Hoyer 2003-11-28 05:23:24 EST
I'll post a link..
Comment 11 Jay Turner 2004-01-16 11:56:56 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.